Dutch Auctions
Get Loan Auction
Check if a loan has an active Dutch auction
GET
/
lending-stocks
/
api
/
liquidations
/
{marketId}
/
loan-auction
/
{loanId}
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/loan-auction/7" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "7",
"auction": {
"auctionId": "1",
"loanId": "7",
"collateralRemaining": "25.000000000000000000",
"debtRemaining": "2136.250000",
"currentPrice": "172.400000",
"endTime": 1718449200,
"active": true
}
}
}
{
"success": true,
"data": {
"loanId": "7",
"auction": null
}
}
Path Parameters
string
required
Market ID.
integer
required
On-chain loan ID.
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/loan-auction/7" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "7",
"auction": {
"auctionId": "1",
"loanId": "7",
"collateralRemaining": "25.000000000000000000",
"debtRemaining": "2136.250000",
"currentPrice": "172.400000",
"endTime": 1718449200,
"active": true
}
}
}
{
"success": true,
"data": {
"loanId": "7",
"auction": null
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/loan-auction/7" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"loanId": "7",
"auction": {
"auctionId": "1",
"loanId": "7",
"collateralRemaining": "25.000000000000000000",
"debtRemaining": "2136.250000",
"currentPrice": "172.400000",
"endTime": 1718449200,
"active": true
}
}
}
{
"success": true,
"data": {
"loanId": "7",
"auction": null
}
}
